GNU Unifont 17.0.05 Pan-Unicode font with complete Unicode Plane 0 coverage and partial coverage of higher planes

Data Fields
Glyph Struct Reference

Data structure to hold data for one bitmap glyph. More...

## Data Fields
uint_least32_t | codePoint
| undefined for glyph 0 More...
byte | bitmap [GLYPH_MAX_BYTE_COUNT]
| hexadecimal bitmap character array More...
uint_least8_t | byteCount
| length of bitmap data More...
bool | combining
| whether this is a combining glyph More...
pixels_t | pos
pixels_t | lsb
| left side bearing (x position of leftmost contour point) More...

## Detailed Description

Data structure to hold data for one bitmap glyph.

This data structure holds data to represent one Unifont bitmap glyph: Unicode code point, number of bytes in its bitmap array, whether or not it is a combining character, and an offset from the glyph origin to the start of the bitmap.

Definition at line 614 of file hex2otf.c.

## Field Documentation

## ◆ bitmap

byte Glyph::bitmap[GLYPH_MAX_BYTE_COUNT]

hexadecimal bitmap character array

Definition at line 617 of file hex2otf.c.

## ◆ byteCount

uint_least8_t Glyph::byteCount

length of bitmap data

Definition at line 618 of file hex2otf.c.

## ◆ codePoint

uint_least32_t Glyph::codePoint

undefined for glyph 0

Definition at line 616 of file hex2otf.c.

## ◆ combining

bool Glyph::combining

whether this is a combining glyph

Definition at line 619 of file hex2otf.c.

## ◆ lsb

pixels_t Glyph::lsb

left side bearing (x position of leftmost contour point)

Definition at line 622 of file hex2otf.c.

## ◆ pos

pixels_t Glyph::pos

number of pixels the glyph should be moved to the right (negative number means moving to the left)

Definition at line 620 of file hex2otf.c.

The documentation for this struct was generated from the following file:

- src/hex2otf.c